Attean::API::Result(3pm)

NAME
Attean::API::Result - Role representing a set of variable bindings

VERSION
This document describes Attean::API::Result version 0.035

SYNOPSIS
  use v5.14;
  use Attean;

DESCRIPTION
This is a Moo role representing quad patterns.

ROLES
This role consumes Attean::API::Binding.

METHODS

join( $result )
    Returns the combined variable binding set if the referent and $result are compatible (as defined by the SPARQL semantics), or "undef" otherwise.

apply_map( $mapper )
    Returns a new variable binding set object with all terms mapped through the given Attean::Mapper object $mapper.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2022 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.